Bug 242629 - security/suricata : classification.config and reference.config are not installed in the correct place
Summary: security/suricata : classification.config and reference.config are not instal...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on: 242658
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-13 23:02 UTC by Antoine Brodin
Modified: 2019-12-29 21:41 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (franco)


Attachments
suricata.diff (1.46 KB, patch)
2019-12-13 23:02 UTC, Antoine Brodin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Brodin freebsd_committer 2019-12-13 23:02:26 UTC
Created attachment 209928 [details]
suricata.diff

classification.config and reference.config are currently installed in /usr/local/share/suricata/ , while suricata.yaml has:

classification-file: /usr/local/etc/suricata/classification.config
reference-config-file: /usr/local/etc/suricata/reference.config

Attached patch leaves the samples in /usr/local/share/suricata/, but puts configuration file in /usr/local/etc/suricata/
Comment 1 Franco Fichtner 2019-12-16 06:38:15 UTC
Hi Antoine,

Thanks for spotting this.

The files were moved from the last RC to final 5.0.0 in the install location by Suricata but not changed in the suricata.yaml location.

I'll address this with the 5.0.1 update in a separate ticket by moving the two files from DATADIR to ETCDIR again since 5.0.1 has the same issue.


Cheers,
Franco
Comment 3 Franco Fichtner 2019-12-29 21:28:25 UTC
This one can be closed, thanks!